jQuery(function($){
    var canBeLoaded = true, // this param allows to initiate the AJAX call only if necessary
        bottomOffset = 1000; // the distance (in px) from the page bottom when you want to load more posts

    $(window).scroll(function(){
        var data = {
            'action': 'loadmore',
            'query': misha_loadmore_params.posts,
            'page' : misha_loadmore_params.current_page
        };
        if( $(document).scrollTop() > ( $(document).height() - bottomOffset ) && canBeLoaded == true ){
            $.ajax({
                url : misha_loadmore_params.ajaxurl,
                data:data,
                type:'POST',
                beforeSend: function( xhr ){
                    // you can also add your own preloader here
                    // you see, the AJAX call is in process, we shouldn't run it again until complete
                    canBeLoaded = false;
                },
                success:function(data){
                    console.log(data);
                    if( data) {
                        $('#blog').find('.row').append( data ); // where to insert posts
                        canBeLoaded = true; // the ajax is completed, now we can run it again
                        misha_loadmore_params.current_page++;
                    }
                }
            });
        }
    });
});

// $.fn.equalHeights = function(){
//     var max_height = 0;
//     $(this).each(function(){
//         max_height = Math.max($(this).height(), max_height);
//     });
//     $(this).each(function(){
//         $(this).height(max_height);
//     });
// };
//
// $(document).ready(function(){
//     $('.blog_slide .center_on_mobile').equalHeights();
//     $('.blog_slide .anchor_style_default').equalHeights();
// });


jQuery(document).ready(function($) {

    $('#dietbox-contact-form').on('submit', function(e) {
        var form_data = jQuery( this ).serializeArray();

        // Here we add our nonce (The one we created on our functions.php. WordPress needs this code to verify if the request comes from a valid source.
        form_data.push( { "name" : "security", "value" : ajax_nonce } );

        // Here is the ajax petition.
        jQuery.ajax({
            url : ajax_url, // Here goes our WordPress AJAX endpoint.
            type : 'post',
            data : form_data,
            dataType: "json",
            success : function( response ) {
                // You can craft something here to handle the message return
                if(response.status){
                    $('#dietbox-contact-form').trigger('reset');
                    const Toast = Swal.mixin({
                        toast: true,
                        position: 'center',
                        showConfirmButton: false,
                        timer: 10000
                    })

                    Toast.fire({
                        position: 'center',
                        type: 'success',
                        title: 'Thanks! Our call centre representative will contact you soon.',
                        showConfirmButton: false,
                        timer: 1500
                    })
                }
            },
            fail : function( err ) {
                // You can craft something here to handle an error if something goes wrong when doing the AJAX request.
                alert( "There was an error: " + err );
            }
        });

        // This return prevents the submit event to refresh the page.
        return false;
    });

});
