<?php
$comments = get_comments(array(
    'post_id' => get_the_ID(),
    'status' => 'approve'
));
?>

<div id="comments">

    <h3><?php echo count($comments) ?> Comments</h3>

    <?php if (count($comments)) :
        foreach ($comments as $comment) : ?>
            <div class="media blog-reply">
                <div class="pull-left">
                    <a href="#."><img src="<?= get_template_directory_uri(); ?>/assets/images/blog_author_2.png"
                                      alt="Bianca Reid"/></a>
                </div>
                <div class="media-body">
                    <h4 class="raleway"><?= $comment->comment_author; ?></h4>
                    <p>
                        <?= $comment->comment_content; ?>
                    </p>
                    <!--                    <a href="#."class="btn-rep">reply</a> -->
                </div>
            </div>
        <?php endforeach;
    else : ?>

        <p>
            There are no responses to this article, why not be the first?
        </p>

    <?php endif ?>

    <?php if (comments_open()) : ?>
        <div class="post-comment">
            <h3 class="raleway">Leave A Comment</h3>
            <form class="form-inline" action="<?php echo site_url('/wp-comments-post.php') ?>" method="post">
                <div class="row">
                    <?php if (is_user_logged_in()) : ?>
                        <div class="col-sm-12">
                            <span class="field-hint">Logged in as <?php echo get_user_option('user_nicename') ?></span>
                        </div>
                    <?php else : ?>
                        <div class="col-md-4 col-sm-12 form-group">
                            <input type="text" id="comment-author" class="form-control border_radius_5" name="author"
                                   placeholder="Your Name" required>
                        </div>

                        <div class="col-md-4 col-sm-12 form-group">
                            <input name="email" type="email" class="form-control border_radius_5" id="comment-email"
                                   placeholder="Email">
                        </div>
                    <?php endif; ?>
                </div>
                <textarea name="comment" id="comment-body" placeholder="Type your message..."
                          class="border_radius_5"></textarea>
                <button style="border:0" type="submit" class="button button_default_style bg_pink bg_before_blue">Submit</button>
                <?php comment_form_hidden_fields() ?>
            </form>
        </div>

    <?php else : ?>

        <hr/>

        <p class="nocomments">
            Comments are closed for this article.
        </p>

    <?php endif ?>
    <br><br>
</div>


