<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package dietbox
 */

get_header();
?>
    <!-- Parent Section -->

    <div class="mew_blog">

        <!-- Blog Nav -->
        <?php get_template_part('inc/nav'); ?>

        <!-- Blog Body -->

        <div class="blog_meox">
            <?php

            if (get_theme_mod('image_control_one')) {

                $home_top_background_image_url = get_theme_mod('image_control_one');
            } else {
                $home_top_background_image_url = get_template_directory_uri() . '/assets/images/slider_slide_2.jpg';
            }
            ?>
            <section class="parallax-window innerpage-banner" data-parallax="scroll"
                     data-image-src="<?= $home_top_background_image_url ?>" speed=".7">
                <div class="container">
                    <div class="row">
                        <div class="col-md-12 text-center">
                            <h2 class="raleway default_section_heading font_200" data-depth="0.2">Latest Blogs</h2>
                            <p class="tagline open_sans " data-depth="0.6">Classic News Posts</p>
                        </div>
                    </div>
                </div>
            </section>

            <?= get_template_part('template-parts/masonary'); ?>

        </div>
        <br><br>
    </div>

<?php
//get_sidebar();
get_footer();
