<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package dietbox
 */

get_header();
?>
    <!-- Parent Section -->

    <div class="mew_blog">

        <!-- Blog Nav -->
        <?php get_template_part('inc/nav'); ?>

        <!-- Blog Body -->

        <div class="blog_meox">
            <?php

            if (get_theme_mod('image_control_one')) {

                $home_top_background_image_url = get_theme_mod('image_control_one');
            } else {
                $home_top_background_image_url = get_template_directory_uri() . '/assets/images/slider_slide_2.jpg';
            }
            ?>
            <section class="parallax-window innerpage-banner" data-parallax="scroll"
                     data-image-src="<?= $home_top_background_image_url ?>" speed=".7">
                <div class="container">
                    <div class="row">
                        <div class="col-md-12 text-center">
                            <h2 class="raleway default_section_heading font_200" data-depth="0.2"><?php
                                /* translators: %s: search query. */
                                printf( esc_html__( 'Search Results for: %s', 'dietbox' ), '<span>' . get_search_query() . '</span>' );
                                ?></h2>
                            <p class="tagline open_sans " data-depth="0.6">Classic News Posts</p>
                        </div>
                    </div>
                </div>
            </section>

            <section class="blog_section " id="blo  ">
                <div class="container">
                    <div class="row">
                        <?php

                        ?>
                        <?php if (have_posts()): ?>
                            <?php while (have_posts()): the_post(); ?>
                                <div class="col-md-4">
                                    <div class="blog_slide static wow slideInLeft">

                                        <div class="blog_img">
                                            <?php if (has_post_thumbnail()):
                                                $image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'blog-thumb');
                                                ?>
                                                <img src="<?= $image[0]; ?>"
                                                     alt="blog_img">
                                            <?php else: ?>
                                                <img src="<?= get_template_directory_uri(); ?>/assets/images/gym-fitness-assets/images/gym_blog_1.jpg"
                                                     alt="blog_img">
                                            <?php endif; ?>


                                        </div>
                                        <a href="<?= get_permalink(); ?>" class="anchor_style_default">

                                            <h3 class="small_heading_navy raleway center_on_mobile font_400"><?= get_the_title(); ?></h3>

                                        </a>

                                        <p class="default_text default_text_light open_sans center_on_mobile"> <?= get_the_date(); ?>
                                            <!--June 18,2017--> </p>
                                        <p class="default_text open_sans center_on_mobile">

                                            <?= get_the_excerpt(); ?>

                                        </p>

                                    </div>
                                </div>
                            <?php endwhile; ?>
                        <?php endif; ?>
                    </div>
                </div>
            </section>

        </div>
        <br><br>
    </div>

<?php
//get_sidebar();
get_footer();

